Page MenuHomePhabricator

Wikidata does not support hif.wiktionary
Closed, ResolvedPublic

Description

https://hif.wiktionary.org/wiki/

is not possible to connect page with another wiktionary. Is also not possible to add. hif as language for wiktionary in wikidata items.

Event Timeline

JAnD created this task.Nov 17 2017, 12:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 17 2017, 12:43 PM
Reedy added a subscriber: Reedy.Nov 17 2017, 2:20 PM

I'm guessing this has something to do with T179863

Lydia_Pintscher added a subscriber: Lydia_Pintscher.

@aude can you please have a look at this?

Lydia_Pintscher triaged this task as High priority.Dec 17 2017, 5:40 PM
Lydia_Pintscher moved this task from incoming to consider for next sprint on the Wikidata board.
aude added a comment.Dec 17 2017, 6:16 PM

(re)populated the sites table.

site_identifiers table had data but sites table was mostly empty

aude added a comment.Dec 17 2017, 8:40 PM

interwikis work now among hifwiktionary and other wiktionary projects:

https://hif.wiktionary.org/wiki/Pahila_Panna

and works to add site links for hif wiktionary project pages:

e.g. https://www.wikidata.org/w/index.php?title=Q3938&type=revision&diff=610340203&oldid=606635063

Interwiki links to hifwiktionary do not yet appear on other wikis, even after purge

e.g. https://nl.wiktionary.org/wiki/paan

There might be another step we need to do for Cognate. (it has some additional scripts populateCognateSites.php and populateCognatePages.php)

There might be another step we need to do for Cognate. (it has some additional scripts populateCognateSites.php and populateCognatePages.php)

Yup, both of these need to be run.

The below should add "hifwiktionary" to the cognate sites table when run as any wiktionary wiki:

mwscript populateCognateSites.php --wiki aawiktionary --site-group wiktionary

And then the entries for hifwiktionary need to be added, which should work with something like:

mwscript populateCognatePages.php --wiki hifwiktionary

I can do these if @aude or @Reedy don't want to.

This should probably be done in the addwiki script, see https://github.com/wikimedia/mediawiki-extensions-WikimediaMaintenance/blob/master/addWiki.php#L245
But apparently this is normally always run as aawiki.
See https://gerrit.wikimedia.org/r/#/c/391271/ for fixing that....

Mentioned in SAL (#wikimedia-operations) [2017-12-26T11:59:35Z] <Amir1> ladsgroup@terbium:~$ mwscript extensions/Cognate/maintenance/populateCognateSites.php --wiki aawiktionary --site-group wiktionary (T180785)

Mentioned in SAL (#wikimedia-operations) [2017-12-26T12:00:23Z] <Amir1> ladsgroup@terbium:~$ mwscript extensions/Cognate/maintenance/populateCognatePages.php --wiki hifwiktionary (T180785)

Ladsgroup closed this task as Resolved.Dec 26 2017, 12:05 PM
Ladsgroup claimed this task.
Restricted Application added a project: User-Ladsgroup. · View Herald TranscriptDec 26 2017, 12:05 PM

@Ladsgroup has the script been run?

If it has not it still needs to be run, or there will forever be some pages that will not have links.
The initial population of the table needs to happen! :)

I ran it, it's mentioned in SAL and here :D

Thanks, sorry, I totally missed the SAL lines above!